curl --request POST \
--url https://api-sandbox.y.uno/v1/recipients/{recipient_id}/onboardings/{onboarding_id}/unblock \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/recipients/{recipient_id}/onboardings/{onboarding_id}/unblock"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/recipients/{recipient_id}/onboardings/{onboarding_id}/unblock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "9104911d-5df9-429e-8488-ad41abea1a4b",
"account_id": "9104911d-5df9-429e-8488-ad41abea1a4b",
"merchant_recipient_id": "AAAA01",
"national_entity": "INDIVIDUAL",
"first_name": "John",
"last_name": "Doe",
"email": "john.doe@email.com",
"country": "CO",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T12:00:00Z"
}{
"code": "INVALID_CREDENTIALS",
"messages": [
"Invalid credentials"
]
}{
"code": "AUTHORIZATION_REQUIRED",
"messages": [
"The merchant has no authorization to use this API."
]
}{
"code": "RECIPIENT_NOT_BLOCKED",
"messages": [
"Recipient is not blocked"
]
}Unblock Onboarding
Authorizations
Path Parameters
The unique identifier of the recipient
The unique identifier of the onboarding associated with this action.
Response
Recipient unblocked successfully
The unique identifier of the recipient.
"3aaa4d82-11e8-48ce-8ef5-04eee3a10802"
The account identifier associated with this recipient.
"fe14c7c6-c75e-43b7-bdbe-4c87ad52c482"
Unique identifier of the recipient defined by the merchant.
"MERCHANT_182acf1d-faeb-4ff0-94cd-7fab11b282f6"
Beneficiary's national entity type.
"INDIVIDUAL"
Beneficiary's type of organization.
"PRIVATE"
Beneficiary's name.
"Juan"
Beneficiary's last name.
"Perez"
Beneficiary's legal name.
null
The Beneficiary's email.
"juan.perez@example.com"
Beneficiary's date of birth.
"1990-01-15"
The Beneficiary's country.
"CO"
The seller's website URL.
"https://juanperez.com"
The seller's industry.
"Technology"
The merchant category code (MCC) (MAX 235; MIN 1).
"5734"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Rules for automatic split calculation at the recipient level.
Show child attributes
Show child attributes
Recipient creation date (ISO 8601 MAX 27; MIN 27).
"2025-08-27T15:41:19.497413Z"
Last Recipient updated date (ISO 8601 MAX 27; MIN 27).
"2025-08-27T15:41:19.497425Z"
Was this page helpful?